com.csjbot.coshandler.client_req.base

## 类 BaseClientReq

- java.lang.Object
- - com.csjbot.coshandler.client_req.base.BaseClientReq

- 直接已知子类:
    BodyActonReqImpl, ChassisReqImpl, ConfigReqImpl, CustomServiceImpl, ElevatorReqImpl, ExpressionReqImpl, ExtraFunctionReqImpl, FaceReqImpl, PrintReqImpl, RobotStateReqImpl, SNReqImpl, SpeechReqImpl, VersionReqImpl

      public abstract class BaseClientReq
      extends java.lang.Object

  请求基类 Created by jingwc on 2017/8/14.

- - ### 构造器概要

    构造器
    构造器和说明
    `BaseClientReq()`

  - ### 方法概要

    所有方法 静态方法 实例方法 具体方法
    限定符和类型 | 方法和说明
    --- | ---
    `protected java.lang.String` | `getBodyActionJson(java.lang.String msgId, int bodyPart, int action)` 转换肢体动作的json
    `protected java.lang.String` | `getChassisJson(java.lang.String msgId, java.lang.String field, java.lang.String json)` 转换包含msgid和一个json的json
    `protected java.lang.String` | `getExpressionJson(java.lang.String msgId, int expression, int once, int time)`
    `protected java.lang.String` | `getHotWordJson(java.lang.String msgId, java.util.List<java.lang.String> hotwords)`
    `protected java.lang.String` | `getJson(java.lang.String msgId)` 转换只包含msgid字段的json
    `protected java.lang.String` | `getJson(java.lang.String msgId, java.lang.String field, boolean value)`
    `protected java.lang.String` | `getJson(java.lang.String msgId, java.lang.String field, float value)` 转换包含msgid和一个字段的json
    `protected java.lang.String` | `getJson(java.lang.String msgId, java.lang.String field, int value)` 转换包含msgid和一个字段的json
    `protected java.lang.String` | `getJson(java.lang.String msgId, java.lang.String field, java.lang.String value)` 转换包含msgid和一个字段的json
    `protected java.lang.String` | `getJsonFromJsonContent(java.lang.String msgId, java.lang.String field, java.lang.String jsonContent)`
    `protected java.lang.String` | `getNewBodyActionJson(java.lang.String msgId, int bodyPart, int action, int angle, int speed)`
    `protected void` | `sendReq(java.lang.String json)` 发送请求
    `static void` | `setDirectListener(DirectListener listener)`

    - ### 从类继承的方法 java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造器详细资料

    - #### BaseClientReq

          public BaseClientReq()

  - ### 方法详细资料

    - #### sendReq

          protected void sendReq(java.lang.String json)

      发送请求
      参数:
        `json` -

    - #### setDirectListener

          public static void setDirectListener(DirectListener listener)

    - #### getJson

          protected java.lang.String getJson(java.lang.String msgId)

      转换只包含msgid字段的json
      参数:
        `msgId` -
      返回:

    - #### getJson

          protected java.lang.String getJson(java.lang.String msgId,
                                             java.lang.String field,
                                             java.lang.String value)

      转换包含msgid和一个字段的json
      参数:
        `msgId` -
        `field` -
        `value` -
      返回:

    - #### getJsonFromJsonContent

          protected java.lang.String getJsonFromJsonContent(java.lang.String msgId,
                                                            java.lang.String field,
                                                            java.lang.String jsonContent)

    - #### getJson

          protected java.lang.String getJson(java.lang.String msgId,
                                             java.lang.String field,
                                             int value)

      转换包含msgid和一个字段的json
      参数:
        `msgId` -
        `field` -
        `value` -
      返回:

    - #### getJson

          protected java.lang.String getJson(java.lang.String msgId,
                                             java.lang.String field,
                                             float value)

      转换包含msgid和一个字段的json
      参数:
        `msgId` -
        `field` -
        `value` -
      返回:

    - #### getChassisJson

          protected java.lang.String getChassisJson(java.lang.String msgId,
                                                    java.lang.String field,
                                                    java.lang.String json)

      转换包含msgid和一个json的json
      参数:
        `msgId` -
        `field` -
        `json` -
      返回:

    - #### getBodyActionJson

          protected java.lang.String getBodyActionJson(java.lang.String msgId,
                                                       int bodyPart,
                                                       int action)

      转换肢体动作的json
      参数:
        `msgId` -
        `bodyPart` -
        `action` -
      返回:

    - #### getNewBodyActionJson

          protected java.lang.String getNewBodyActionJson(java.lang.String msgId,
                                                          int bodyPart,
                                                          int action,
                                                          int angle,
                                                          int speed)

    - #### getExpressionJson

          protected java.lang.String getExpressionJson(java.lang.String msgId,
                                                       int expression,
                                                       int once,
                                                       int time)

    - #### getHotWordJson

          protected java.lang.String getHotWordJson(java.lang.String msgId,
                                                    java.util.List<java.lang.String> hotwords)

    - #### getJson

          protected java.lang.String getJson(java.lang.String msgId,
                                             java.lang.String field,
                                             boolean value)